## org.hibernate.hql.internal.ast.tree
Interface SessionFactoryAwareNode

All Known Implementing Classes:
  JavaConstantNode

    public interface SessionFactoryAwareNode

Interface for nodes which require access to the SessionFactory

Method Summary
`void` `setSessionFactory(SessionFactoryImplementor sessionFactory)`

Method Detail

### setSessionFactory

    void setSessionFactory(SessionFactoryImplementor sessionFactory)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.